"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("./index");
function update(callback, key, map) {
    var oldv = index_1.get(key, map);
    var newv = callback(oldv, map);
    return newv === oldv ? map
        : newv === void 0 ? index_1.remove(key, map)
            : index_1.set(key, newv, map);
}
exports.update = update;
//# sourceMappingURL=update.js.map