import { isBoolean, isMutationContext } from '@collectable/core';
import { emptySortedMap } from '../internals';
export function empty(arg0, arg1, select) {
    var mutable;
    var compare;
    if (typeof arg0 === 'function') {
        compare = arg0;
        if (typeof arg1 === 'function') {
            select = arg1;
        }
        mutable = false;
    }
    else {
        mutable = isMutationContext(arg0) || isBoolean(arg0) ? arg0 : false;
    }
    return emptySortedMap(compare, select, mutable);
}
//# sourceMappingURL=empty.js.map