import { ComparatorFn, KeyedSelectorFn } from '@collectable/core';
import { SortedMapEntry, SortedMapStructure } from '../internals';
export declare function fromIterable<K, V>(pairs: Iterable<[K, V]>, compare?: ComparatorFn<SortedMapEntry<K, V, undefined>>): SortedMapStructure<K, V, undefined>;
export declare function fromIterable<K, V, U>(pairs: Iterable<[K, V]>, compare: ComparatorFn<SortedMapEntry<K, V, U>>, select: KeyedSelectorFn<V, K, U>): SortedMapStructure<K, V>;
