import { ComparatorFn, KeyedSelectorFn } from '@collectable/core';
import { SortedMapEntry, SortedMapStructure } from '../internals';
export declare function fromArray<K, V>(pairs: [K, V][], compare?: ComparatorFn<SortedMapEntry<K, V, undefined>>): SortedMapStructure<K, V, undefined>;
export declare function fromArray<K, V, U>(pairs: [K, V][], compare: ComparatorFn<SortedMapEntry<K, V, U>>, select: KeyedSelectorFn<V, K, U>): SortedMapStructure<K, V, U>;
