import { SortedMapStructure } from '../internals/SortedMap';
export declare type UpdateEntryCallback<K, V, U> = (value: V | undefined, map: SortedMapStructure<K, V, U>) => V | undefined;
export declare function update<K, V, U>(callback: UpdateEntryCallback<K, V, U>, key: K, map: SortedMapStructure<K, V, U>): SortedMapStructure<K, V, U>;
